---
title: Knoten-Färbung
date: 2018-11-28
---

# Motivation

a) Mobilfunk: Masten/Frequenzen

    i) Mobilfunkmasten, deren Sendebereich überlappt, brauchen verschiedene
    Frequenzen zum senden.

    i) Wir wollen insgesamt möglichst wenige Frequenzen nutzen

    **Als Graph**: Mobilfunkmasten $\widehat{=}$ Knoten. Kanten zwischen
    Knoten, falls Sendebereich überlappt. Frequenzen zuweisen, so dass
    benachbarte Knoten unterschiedliche Frequenzen haben

a) Compilerbau: Zur selben Zeit genutzte Variablen sollen in unterschiedlichen
Registern gespeichert werden

a) Landkarten: Benachbarte Länder sollen unterschiedliche Farben bekommen.
Länder $\widehat{=}$ Knoten. Kanten zu Knoten, falls Länder eine gemeinsame
Grenze haben (hier: planare Graphen).


# Definition (Knoten-Färbung)

Sei $k \in \mathbb{N}$ und $G=(V,E)$ Graph

i) Eine $k$-Färbung von $G$ ist eine Abbildung

    $$
    C: v \rightarrow \{1,...,k\}
    $$

    mit der Eigenschaft $\forall \{u,v\} \in E : c(u) \neq c(v)$

i) $G$ heist **$k$-färbbar**, falls es eine $k$-Färbung von $G$ gibt

i) Die **chromatische Zahl** $\chi(G)$ von $G$ ist definiert als

    $$
    \chi(G) = \min \{ k\in \mathbb{N} | G \text{ ist } k \text{-färbbar} \}
    $$


## Beispiel

a) ![Graph](20181128_1-faerbung.png)

    $$
    c(1) = 1 \\
    c(2) = 3 \\
    c(3) = 2 \\
    c(4) = 1 \\
    c(5) = 2 \\
    \\
    \chi(G) = 3
    $$

a) Jeder Graph $G=(V,E)$ miz $|V|=n$ ist $n$-färbbar

a) Es gilt $\chi(K_n) = n$

a) Kreise $C_n$

    i) falls $n$ gerade ist $\chi(C_n) = 2$
    
    i) falls $n$ ungerade ist $\chi(C_n) = 3$

a) Bipartite Graphen: Bipartiter Graph $G=(V,E)$. Es gibt eine Partition von
$V$ in $V_1$ und $V_2$. $V = V_1 \biguplus V_2$ und $E \subseteq \{ \{u,v\} | u
\in V_1, v \in V_2 \}$. Bipartite Graphen haben $\chi(G) = 2$ und es gilt
sogar:


# Satz

Ein Graph $G=(V,E)$ hat $\chi(G) = 2$ $\Leftrightarrow$ $G$ ist bipratit.
